#!/bin/sh
#
# xparms seqsee.lib seqsee.bin select
#    seqsee.lib  = source code directory
#    seqsee.bin  = executables directory
#

SEQDB="seqdb.fnames"
REFDB="refdb.fnames"

echo ""
echo "         **** Parameter List for SEQSEE ****"
echo ""
echo "Users should feel free to copy this file to their own directory"
echo "and make any changes they feel appropriate.  Parameter entries are"
echo "preceded by 2 consecutive angle brackets, the order of the parameters"
echo "must be maintained! Comments and blank lines can be placed anywhere."
echo ""
echo "PARAMETER FILE VERSION:"
echo ">> 1.6"
echo ""
echo "****************************************************************"
echo "Id code for main SEQSEE driver."
echo ">> SEQSEE_V1.6"
echo ""
echo "Programs that the SEQSEE driver will be calling "
echo ">> $2/seqhelp"
echo ">> $2/seqed"
echo ">> $2/seqret"
echo ">> $2/stats"
echo ">> $2/alexis"
echo ">> $2/seqsearch"
echo ">> $2/fleqsee"
echo ">> $2/moment"
echo ">> $2/hydro"
echo ">> $2/fast_align"
echo ">> $2/sb_align"
echo ">> $2/nw_align"
echo ">> $2/mult_align"
echo ">> $2/psearch"
echo ">> $2/hsearch"
echo ">> $2/dotplot"
echo ">> $2/refscan"
echo ">> $2/browse"

echo ""
echo "Automatically enter editor when results found (1=yes,0=no)."
echo ">> 1"
echo ""
echo "****************************************************************"
echo "Id code for seqret. Do not change this line."
echo ">> SEQRET "
echo ""
cat $SEQDB
echo ""
echo "Update output file every 'x' proteins which are processed."
echo ">> 1000"
echo ""
echo "****************************************************************"
echo "Id code for stats function. Do not change this line."
echo ">> STATS "
echo ""
echo "Location of SEQBANK database"
echo ">> $1/databases/SEQBANK.db"
echo ""
echo "hydrophobicity table"
echo ">> $1/tables/kyte.parms"
echo ""
echo "These thresholds are dependent on the hydrophobicity table used."
echo ">>  0.10          hydrophobic proteins threshold"
echo ">> -6.00          hydrophilic proteins threshold"
echo ">>  0.85          protein insoluble threshold"
echo ">>  1.90          protein generally does not fold threshold"
echo ">>  0.77          protein insoluble threshold"
echo ">>  1.43          protein generally does not fold threshold"
echo ""
echo "Hydrophobic Amino Acids"
echo ">> ACFGHILMVWY    one letter codes"
echo ">> 52.44          average percent of these amino acids in a protein"
echo ""
echo "Hydrophilic Amino Acids"
echo ">> DEKNPQRST      one letter codes"
echo ">> 47.56          average percent of these amino acids in a protein"
echo ""
echo "molecular weight table"
echo ">> $1/tables/mol.weights"
echo ""
echo "molecular volume table"
echo ">> $1/tables/mol.volume"
echo ""
echo "molecular surface area table"
echo ">> $1/tables/mol.surfarea"
echo ""
echo "molecular partial specific volume table"
echo ">> $1/tables/mol.parspecvol"
echo ""
echo "molecular polar, nonpolar, surface area table"
echo ">> $1/tables/mol.asa"
echo ""
echo "molecular fraction buried "
echo ">> $1/tables/mol.fracbur"
echo ""
echo "fraction of amino acids buried "
echo ">> $1/tables/fracbur.parms"
echo ""
echo "****************************************************************"
echo "Function ID code for alexis"
echo ">> ALEXIS"
echo ""
echo "Location of programs alexis will be running "
echo ">> $2/a_membrane"
echo ">> $2/a_motif"
echo ">> $2/a_homol"
echo ">> $2/a_moment"
echo ">> $2/a_gor"
echo ">> $2/a_cfas"

echo "" 
echo "Correlation tables for predicting protein-structural classes"
echo ">> $1/tables/alexis.norm     (for most sequences)"
echo ">> $1/tables/alexis.cys      (for heavy cys sequences)"
echo ""
echo "Remove intermediate results files?"
echo ">> 1              (1=yes, 0=no)"
echo ""
echo "****************************************************************"
echo "Identification code for the following set of parameters."
echo "Do not change this line."
echo ">> A_MEMBRANE "
echo ""
echo "Location of membrane spanning hydrophobicity parms"
echo ">> $1/tables/membrane.parms"
echo ""
echo "Nature of membrane spanning test (scaling constants)"
echo ">> -9.02  170.00  14.27"
echo ""
echo "****************************************************************"
echo "Identification code for the following set of parameters."
echo "Do not change this line."
echo ">> A_HOMOL "
echo ""
echo "Enter the location of the seqbank database."
echo ">> $1/databases/SEQBANK.db"
echo ""
echo "Tell program the location of the similarity scoring matrix."
echo ">> $1/tables/wt.rbo"
echo ""
echo "Homologous segments must have a certain minimum test stat"
echo "before the secondary structure they represent is counted."
echo ">> 3.20"
echo ""
echo "Improve prediction by weighting of scores because of unequal"
echo "representation of secondary structure in the database."
echo ">> 1.000        /* betastrand represent 28% of seqbank */"
echo ">> 0.820        /* coil represent almost 37% of seqbank */"
echo ">> 0.780        /* helix represent almost 35% of seqbank */"
echo ""
echo "Offset and multiplier needed to normalize prediction"
echo "scores to mean=1000 and stddev=200."
echo ">> 494.00   0.89"
echo ""
echo "Improve prediction by applying smoothing function"
echo ">> 1            /* number of times to apply smoothing function */"
echo ""
echo "Improve prediction by biasing random coils at sequence ends"
echo ">> 1            /* 1=yes, 0=no */"
echo ""
echo "Improve prediction by class weighting."
echo ">> 1            /* 1=yes, 0=no */"
echo ">> 1.10         /* beta Scores */"
echo ">> 1.30         /* helix Scores */"
echo "Improve prediction by smoothing the predicted structure"
echo ">> 1            /* 1=yes, 0=no */"
echo ""
echo "****************************************************************"
echo "Identification code for the following set of parameters."
echo "Do not change this line."
echo ">> A_MOMENT "
echo ""
echo "Tell program the location of the chou-fasman parameters."
echo ">> $1/tables/moment.cfas"
echo ""
echo "Tell program the location of the hydrophobicity parms which"
echo "are biased for BetaStrands."
echo ">> $1/tables/moment.bhydro"
echo ""
echo "Tell program the location of the hydrophobicity parms which"
echo "are biased for Helicies."
echo ">> $1/tables/moment.hhydro"
echo ""
echo "Beta Strand Prediction Parameters"
echo ">> 7                    /* window size */"
echo ">> 1 2 3 4 3 2 1        /* cfas weighting factors */"
echo ">> 2                    /* number of periodicity tests */"
echo ">> 160 180              /* periodicity angles */"
echo ""
echo "Coil Prediciton Parameters"
echo ">> 5                    /* window size */"
echo ">> 2 3 4 3 2            /* cfas weighting factors */"
echo ""
echo "Helix Prediction Parameters"
echo ">> 11                   /* window size */"
echo ">> 2 3 3 3 3 3 3 3 3 3 2  /* cfas weighting factors */"
echo ">> 2                    /* number of periodicity tests */"
echo ">> 100 110              /* periodicity angles */"
echo ""
echo "Multiplier and offset needed to normalize prediction"
echo "scores to mean=1000 and stddev=200"
echo ">> 831.00   13.30"
echo ""
echo "Improve prediction by applying smoothing function"
echo ">> 1            /* number of times to apply smoothing function */"
echo ""
echo "Improve prediction by biasing random coils at sequence ends"
echo ">> 1            /* 1=yes, 0=no */"
echo ""
echo "Improve prediction by class weighting"
echo ">> 1            /* 1=yes, 0=no */"
echo ">> 0.95         /* beta Scores */"
echo ">> 1.05         /* helix Scores */"
echo ""
echo "Improve prediction by smoothing the predicted structure"
echo ">> 1            /* 1=yes, 0=no */"
echo ""
echo "****************************************************************"
echo "Identification code for the following set of parameters."
echo "Do not change this line."
echo ">> A_GOR"
echo ""
echo "Tell program the location of the GOR parms"
echo ">> $1/tables/gor.data"
echo ""
echo "Offset and multiplier needed to normalize prediction"
echo "scores to mean=1000 and stddev=200."
echo ">> 966.00   13.10"
echo ""
echo "Improve prediction by applying smoothing function"
echo ">> 0            /* number of times to apply smoothing function */"
echo ""
echo "Improve prediction by biasing random coils at sequence ends"
echo ">> 1            /* 1=yes, 0=no */"
echo ""
echo "Improve prediction by class weighting"
echo ">> 1            /* 1=yes, 0=no */"
echo ">> 1.08         /* beta Scores */"
echo ">> 1.16         /* helix Scores */"
echo ""
echo "Improve prediction by smoothing the predicted structure"
echo ">> 1            /* 1=yes, 0=no */"
echo ""
echo "****************************************************************"
echo "Identification code for the following set of parameters."
echo "Do not change this line."
echo ">> A_CFAS"
echo ""
echo "Tell program the location of the weighting parameters"
echo "See the default listed here to understand the input format."
echo ">> $1/tables/cfas.data"
echo ""
echo "BetaStrand window size"
echo ">> 7"
echo ""
echo "Weighting factors within this window for BetaStrand"
echo ">> 1 2 3 4 3 2 1"
echo ""
echo "Coil Window Size"
echo ">> 5"
echo ""
echo "Weighting factors within this window for Coil"
echo ">> 1 2 3 2 1"
echo ""
echo "Helix Window Size"
echo ">> 9"
echo ""
echo "Weighting factors within this window for Helix"
echo ">> 1 2 3 4 5 4 3 2 1"
echo ""
echo "Offset and multiplier needed to normalize prediction"
echo "scores to mean=1000 and stddev=200."
echo ">> 953.00   13.50"
echo ""
echo "Improve prediction by applying smoothing function"
echo ">> 1            /* number of times to apply smoothing function */"
echo ""
echo "Improve prediction by biasing random coils at sequence ends"
echo ">> 1            /* 1=yes, 0=no */"
echo ""
echo "Improve prediction by class weighting"
echo ">> 1            /* 1=yes, 0=no */"
echo ">> 1.02         /* beta Scores */"
echo ">> 1.00         /* helix Scores */"
echo ""
echo "Improve prediction by smoothing the predicted structure"
echo ">> 1            /* 1=yes, 0=no */"
echo ""
echo "****************************************************************"
echo "Function ID code for motif searching program (motifs from literature)"
echo ">> LIT_MOTIF "
echo ""
echo "Location of motifs databases "
echo ">> $1/databases/seqmotif1.db "
echo ""
echo "Printing Parameters"
echo ">> 100             Print stats summary every 'x' motifs processed "
echo ">> 0               Print individual motifs which match (1=yes, 0=no)"
echo ""
echo "****************************************************************"
echo "Function ID code for motif searching program (computer generated dbase)"
echo ">> COMP_MOTIF "
echo ""
echo "Location of motifs databases "
echo ">> $1/databases/seqmotif2.db "
echo ""
echo "Printing Parameters"
echo ">> 100             Print stats summary every 'x' motifs processed "
echo ">> 0               Print individual motifs which match (1=yes, 0=no)"
echo ""
echo "****************************************************************"
echo "Id code for seqsearch function. Do not change this line."
echo ">> SEQSEARCH "
echo ""
echo "Number of SEQSITE databases"
echo ">> 3"
echo ""
echo "Location of SEQSITE databases"
echo ">> $1/databases/SEQSITE.db      (general sequence motifs)"
echo ">> $1/databases/PHOSITE.db      (general phosphorylation sites)"
echo ">> $1/databases/EPISITE.db      (antigenic sites)"
echo ""
echo "****************************************************************"
echo "Function ID code. Do not change this line."
echo ">> FLEQSEE "
echo ""
echo "Type of output, 0 = weighted scores, 1 = raw scores"
echo ">> 1"
echo ""
echo "Location of flexibility parameters "
echo ">> $1/tables/fleqsee.parms "
echo ""
echo "Manipulating Flexibility Scores"
echo ">> 7                    Window size"
echo ">> 1  2  3  4  3  2  1  Weighting constants based on window size"
echo ""
echo "****************************************************************"
echo "Function ID code. Do not change this line."
echo ">> MOMENT "
echo ""
echo "Type of output, 0 = weighted scores, 1 = raw scores"
echo ">> 1"
echo ""
echo "Location of hydrophobicity parameters (hmom.* files) "
echo ">> $1/tables/hmom.cornet "
echo ""
echo "Nature of periodicity tests"
echo ">> 8               number of tests"
echo ">> 0   5    0      type(0=beta, 1=coil, 2=helix), window size, periodicity angle"
echo ">> 0   5  160"
echo ">> 0   5  170"
echo ">> 0   5  180"
echo ">> 2   9   90"
echo ">> 2   9  100"
echo ">> 2   9  110"
echo ">> 2   9  120"
echo ""
echo "smoothing function to be applied 'x' times"
echo ">> 2"
echo ""
echo "****************************************************************"
echo "Function ID code. Do not change this line."
echo ">> HYDRO "
echo ""
echo "Type of output, 0 = weighted scores, 1 = raw scores"
echo ">> 1"
echo ""
echo "Location of hydrophobicity parameters (hphob.* files) "
echo ">> $1/tables/hphob.kyte"
echo ""
echo "Manipulating hydrophobicity scores"
echo ">> 7                    Window size"
echo ">> 1  2  3  4  3  2  1  Weighting constants based on window size"
echo ""
echo "****************************************************************"
echo "Function ID code. Do not change this line."
echo ">> FAST_ALIGN"
echo ""
cat $SEQDB
echo ""
echo "Tell program the location of the similarity scoring matrix."
echo ">> $1/tables/wt.align "
echo ""
echo "What minimum value from the similarity scoring matrix would"
echo "constitiute a near match?"
echo ">> 5"
echo ""
echo "Cut-off score for similar tuples. Note that this score"
echo "depends on the matrix selected above. For example, in the"
echo "matrix 'wt.align', FYE is similar to YFN if the cutoff score "
echo "is 50 or less."
echo ">> 48"
echo ""
echo "Update output file every 'x' proteins which are processed."
echo ">> 1000"
echo ""
echo "Penalize the alignment score 'x' points every time a gap"
echo "needs to be introduced. The value of 'x' depends on the"
echo "similarity scoring matrix, a typical value being the 3rd or"
echo "4th highest number in the matrix."
echo ">> 20"
echo ""
echo "Penalize the alignment score 'x' points for each entry in"
echo "the gap. This will keep the gap from getting too large."
echo ">> 5"
echo ""
echo "****************************************************************"
echo "Id code for exhaustive alignment on SEQBANK database."
echo ">> SB_ALIGN "
echo ""
echo "Enter the location SEQBANK database."
echo ">> $1/databases/SEQBANK.db "
echo ""
echo "Tell program the location of the similarity scoring matrix."
echo "See the default listed here to understand the input format."
echo ">> $1/tables/wt.rbo "
echo ""
echo "What minimum value from the similarity scoring matrix would"
echo "constitiute a near match?"
echo ">> 5"
echo ""
echo "Random number seed used to jumble sequences."
echo ">> 13791 "
echo ""
echo "sorting alignment scores"
echo "0 = sort by raw score (tends to overlook smaller sequences)"
echo "1 = sort by raw score / sequence len (fast, generally more accurate)"
echo "2 = sort by jumbling (very slow but most accurate)"
echo ">> 1"
echo ""
echo "These parameters are only used if sort by jumbling option chosen."
echo "Number of jumbles based on current test stat. (6 entries only!)"
echo "(eg, if after 18 jumbles the test stat exceeds 2 std dev, keep going)."
echo "   jumbles    std dev"
echo ">>       3       0.00"
echo ">>       8       1.00"
echo ">>      18       2.00"
echo ">>      50       3.00"
echo ">>     150       4.00"
echo ">>     500    9999.00 (this tstat value is ignored here)"
echo ""
echo "Update output file every 'x' proteins processed."
echo ">> 10"
echo ""
echo "Penalize the alignment score 'x' points every time a gap"
echo "needs to be introduced. The value of 'x' depends on the"
echo "similarity scoring matrix, a typical value being the 3rd or"
echo "4th highest number in the matrix."
echo ">> 10"
echo ""
echo "Penalize the alignment score 'x' points for each entry in"
echo "the gap. This will keep the gap from getting too large."
echo ">> 2"
echo ""
echo "Penalty for a gap within a random coil region"
echo ">> 0"
echo ""
echo "Penalty for a gap at the end of a helix or beta strand structure "
echo ">> 1"
echo ""
echo "Penalty for a gap in the middle of a helix or beta strand structure "
echo ">> 4"
echo ""
echo "****************************************************************"
echo "Identification code for the following set of parameters."
echo ">> NW_ALIGN "
echo ""
cat $SEQDB
echo ""
echo "Tell program the location of the similarity scoring matrix."
echo "Matrices such as Dayhoff can be used."
echo "See the default listed here to understand the input format."
echo ">> $1/tables/wt.rbo "
echo ""
echo "What minimum value from the similarity scoring matrix would"
echo "constitiute a near match?"
echo ">> 5"
echo ""
echo "Random number seed used to jumble sequences."
echo ">> 13791 "
echo ""
echo "sorting alignment scores"
echo "0 = sort by raw score (tends to overlook smaller sequences)"
echo "1 = sort by raw score / sequence len (fast, generally more accurate)"
echo "2 = sort by jumbling (very slow but most accurate)"
echo ">> 1"
echo ""
echo "These parameters are only used if sort by jumbling option chosen."
echo "Number of jumbles based on current test stat. (6 entries only!)"
echo "(eg, if after 18 jumbles the test stat exceeds 2 std dev, keep going)"
echo "   jumbles    std dev "
echo ">>       3       0.00"
echo ">>       8       1.00"
echo ">>      18       2.00"
echo ">>      50       3.00"
echo ">>     150       4.00"
echo ">>     500    9999.00 (this tstat value is ignored here)"
echo ""
echo "Update output file every 'x' proteins processed."
echo ">> 50 "
echo ""
echo "Penalize the alignment score 'x' points every time a gap"
echo "needs to be introduced. The value of 'x' depends on the"
echo "similarity scoring matrix, a typical value being the 3rd or"
echo "4th highest number in the matrix."
echo ">> 10"
echo ""
echo "Penalize the alignment score 'x' points for each entry in"
echo "the gap. This will keep the gap from getting too large."
echo ">> 2"
echo ""
echo "****************************************************************"
echo "ID function code. Do not change this line."
echo ">> MULT_ALIGN"
echo ""
echo "Tell program the location of the similarity scoring matrix."
echo ">> $1/tables/wt.rbo "
echo ""
echo "What minimum value from the similarity scoring matrix would"
echo "constitiute a near match?"
echo ">> 5"
echo ""
echo "Random number seed used to jumble sequences."
echo ">> 13791 "
echo ""
echo "sorting alignment scores"
echo "0 = sort by raw score (tends to overlook smaller sequences)"
echo "1 = sort by raw score / sequence len (fast, generally more accurate)"
echo "2 = sort by jumbling (very slow but most accurate)"
echo ">> 0"
echo ""
echo "These parameters are only used if sort by jumbling option chosen."
echo "Number of jumbles based on current test stat. (6 entries only!)"
echo "(eg, if after 18 jumbles the test stat exceeds 2 std dev, keep going)."
echo "   jumbles    std dev "
echo ">>       3       0.00"
echo ">>       8       1.00"
echo ">>      18       2.00"
echo ">>      18       3.00"
echo ">>      18       4.00"
echo ">>      18    9999.00 (this tstat value is ignored here)"
echo ""
echo "Print pairwise alignments? (1=yes, 0=no)"
echo ">> 0"
echo ""
echo "Consensus percent - Print the amino acid in the consensus sequence"
echo "if it is found above the consensus percent threshold."
echo ">> 70"
echo ""
echo "Penalize the alignment score 'x' points every time a gap"
echo "needs to be introduced. The value of 'x' depends on the"
echo "similarity scoring matrix, a typical value being the 3rd or"
echo "4th highest number in the matrix."
echo ">> 10"
echo ""
echo "Penalize the alignment score 'x' points for each entry in"
echo "the gap. This will keep the gap from getting too large."
echo ">> 2"
echo ""
echo "****************************************************************"
echo "Identification code for this function. Do not change this line."
echo ">> PSEARCH "
echo ""
cat $SEQDB
echo ""
echo "Location of structurally determined database."
echo ">> $1/databases/SEQBANK.db"
echo ""
echo "Allow multiple matches for a search string in a sequence"
echo ">> 0        1 = yes, 0 = no"
echo ""
echo "Update output file every 'x' proteins which are processed."
echo ">> 200"
echo ""
echo "****************************************************************"
echo "Identification code for this function. Do not change this line."
echo ">> HSEARCH "
echo ""
cat $SEQDB
echo ""
echo "Location of structurally determined database."
echo ">> $1/databases/SEQBANK.db"
echo ""
echo "Tell program the location of the similarity scoring matrix."
echo "Matrices such as Dayhoff can be used."
echo ">> $1/tables/wt.align "
echo " "
echo "What minimum value from the similarity scoring matrix would"
echo "constitiute a near match?"
echo ">> 5"
echo ""
echo "Update output file every 'x' proteins which are processed."
echo ">> 200"
echo ""
echo "****************************************************************"
echo "Function ID code. Do not change this line."
echo ">> DOTPLOT "
echo ""
cat $SEQDB
echo ""
echo "Tell program the location of the similarity scoring matrix."
echo "See the default listed here to understand the input format."
echo ">> $1/tables/wt.align "
echo ""
echo "What minimum value from the similarity scoring matrix would"
echo "constitiute a near match?"
echo ">> 5"
echo ""
echo "Length Penalty Value: subtract x*lenPenalty from our score where"
echo "'x' is the number of amino acids. "
echo ">> 5"
echo ""
echo "Threshold Score (homologous segments must score above)"
echo ">> 80"
echo ""
echo "msearchFlag - Does multiple scans down diagonals"
echo "Only turn this flag on if database is small. (0 = off, 1 = on)"
echo ">> 0"
echo ""
echo "Update output file every 'x' proteins which are processed."
echo ">> 200"
echo ""
echo "****************************************************************"
echo "Identification code for this function.  Do not change this line."
echo ">> REFSCAN"
echo ""
cat $REFDB
echo ""
echo "Update output file every 'x' proteins which are processed."
echo ">> 1000"
echo ""
echo "****************************************************************"
echo "Identification code for browse function. Do not change this line."
echo ">> BROWSE "
echo ""
echo "Location of SEQBANK database"
echo ">> $1/databases/SEQBANK.db"
echo ""
echo "Location of PIRSEE databases (PIR Titles + ID codes)"
echo ">> $1/databases/PIRSEE.db"
echo ""
echo "Location of SWISSEE databases (SWISS_PROT Titles + ID codes)"
echo ">> $1/databases/SWISSEE.db"
echo ""
echo "Location of Default Parameters file for SEQSEE "
echo ">> $1/seqsee.parms"
